

! ifort MatMulTest.F90 -traceback -check all,noarg_temp_created -o MatMulTest.x

  Program testMatmul

    real*8 :: array(2,2,2,2,2,2,2)
    real*8 :: vec(2,2,2,2,2), sol(2,2,2,2,2)

    vec(1,:,:,:,:) = 1.0
    vec(2,:,:,:,:) = 2.0
    
    array = 1.0

    sol(1:2,1,1,1,1) = matmul( array(1,1,1,1,1:2,1:2,1), vec(1:2,2,2,2,2) )


  end program testMatmul
